Bug 3379 - exit status is always 0
: exit status is always 0
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/chrpath)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-12-16 17:45 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-12-16 17:45:47
$ chrpath -d /dev/null; echo $?
reading header: Success
elf_open: Illegal seek
0
$
------- Comment #1 From 2003-12-16 18:38:33 -------
Fixed in chrpath-0.12-alt1. 
------- Comment #2 From 2003-12-18 16:17:56 -------
but why it should break if the patient doesn't need curing?

if it's a shell script (not ELF 32-bit LSB, okay) -- you'd just ignore it and
not bail out.

otherwise you require unneeded effort of choosing only ELF in a typical
binary/script mix being processed.
------- Comment #3 From 2003-12-18 16:33:32 -------
okay, what about /dev/null?
------- Comment #4 From 2003-12-18 16:43:32 -------
So I asked what about /dev/null.
Anyway, use shell smile.  It lets you take things easy.
chrpath -d %buildroot%_bindir/* ||:
------- Comment #5 From 2003-12-19 16:33:26 -------
Closed so far (see my previous comments here).
------- Comment #6 From 2003-12-19 16:47:58 -------
so be it